| 0.9.9 API documenation

Functions
ext/scalar_relational.hpp File Reference

Go to the source code of this file.

## Functions
template<typename genType >
GLM_FUNC_DECL GLM_CONSTEXPR bool | equal (genType const &x, genType const &y, genType const &epsilon)
template<typename genType >
GLM_FUNC_DECL GLM_CONSTEXPR bool | notEqual (genType const &x, genType const &y, genType const &epsilon)

## Detailed Description

GLM_EXT_scalar_relational

Definition in file ext/scalar_relational.hpp.

## Function Documentation

## ◆ equal()

GLM_FUNC_DECL GLM_CONSTEXPR bool glm::equal | ( | genType const & | x,
|  | genType const & | y,
|  | genType const & | epsilon
| ) |  |

Returns the component-wise comparison of |x - y| < epsilon.

True if this expression is satisfied.

Template Parameters

  genType | Floating-point or integer scalar types

## ◆ notEqual()

GLM_FUNC_DECL GLM_CONSTEXPR bool glm::notEqual | ( | genType const & | x,
|  | genType const & | y,
|  | genType const & | epsilon
| ) |  |

Returns the component-wise comparison of |x - y| >= epsilon.

True if this expression is not satisfied.

Template Parameters

  genType | Floating-point or integer scalar types